using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class Model
	{

		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
		/// <summary>
		/// 配置方案名称
		/// </summary>
		public virtual string Name
		{
			get;
			set;
		}
		/// <summary>
		/// 温度修正值
		/// </summary>
		public virtual int CorrectedTemp
		{
			get;
			set;
		}
		/// <summary>
		/// 到达温度后风机是否保持低速运行
		/// </summary>
		public virtual bool FanRunStatus
		{
			get;
			set;
		}
		/// <summary>
		/// 屋内无人时排气扇状态：0关1开2定时
		/// </summary>
		public virtual int ExhaustFanStatus
		{
			get;
			set;
		}
		/// <summary>
		/// 定时时长（分钟/每小时）
		/// </summary>
		public virtual int ExhausFanTime
		{
			get;
			set;
		}
		/// <summary>
		/// 红外延时断电时间（分）
		/// </summary>
		public virtual int InfraredDelayPO
		{
			get;
			set;
		}
		/// <summary>
		/// 门磁延时断电时间（秒）
		/// </summary>
		public virtual int DoorDelayPO
		{
			get;
			set;
		}
		/// <summary>
		/// 拔卡延时断电时间（秒）
		/// </summary>
		public virtual int PullCardDelayPO
		{
			get;
			set;
		}

		/// <summary>
		/// 节能模式详细
		/// </summary>
		public virtual ICollection<ModelDetail> Details
		{
			get;
			set;
		}

		/// <summary>
		/// 备注
		/// </summary>
		public virtual string Remark
		{
			get;
			set;
		}
		/// <summary>
		/// 编辑时间
		/// </summary>
		public virtual DateTime ModifiedDate
		{
			get;
			set;
		}
		/// <summary>
		/// 应用时间
		/// </summary>
		public virtual DateTime? ApplyDate
		{
			get;
			set;
		}
		/// <summary>
		/// 操作人
		/// </summary>
		public virtual string ApplyUser
		{
			get;
			set;
		}
		/// <summary>
		/// 所应用的主机ID，以逗号隔开
		/// </summary>
		public virtual string Hosts
		{
			get;
			set;
		}
	}
}
